From c18de71ebb0952c2160e8e8758b6cf8ae9afff54 Mon Sep 17 00:00:00 2001
From: Guido Guenther <agx@sigxcpu.org>
Date: Thu, 25 Sep 2008 14:03:58 +0200
Subject: [PATCH] autoignore generated data for all hosts in munin.conf

---
 debian/aide.conf.d/31_aide_munin-nodes |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)
 create mode 100644 debian/aide.conf.d/31_aide_munin-nodes

diff --git a/debian/aide.conf.d/31_aide_munin-nodes b/debian/aide.conf.d/31_aide_munin-nodes
new file mode 100644
index 0000000..f99504d
--- /dev/null
+++ b/debian/aide.conf.d/31_aide_munin-nodes
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# generate aide exclude patterns for all nodes listed in $MUNINCONF
+
+MUNINCONF=/etc/munin/munin.conf
+HOSTS=$(grep '^\[[[:alnum:]:.]\+\]' $MUNINCONF | tr -d '[]')
+
+escape_dots()
+{
+    echo $1 | sed 's/\./\\\./g'
+}
+
+for HOST in $HOSTS; do
+	DOMAIN=$(escape_dots ${HOST#*.})
+	DHOST=$(escape_dots $HOST)
+
+	echo "/var/www/munin/$DOMAIN/(index\.html|$DHOST(-.*)?\.(png|html))$ VarFile"
+	echo "/var/lib/munin/$DOMAIN/$DHOST-.*\.rrd$ VarFile"
+	echo "/var/run/munin/munin-(update|datafile|$DOMAIN-$DHOST|limits)\.lock$ VarFile"
+done
-- 
1.5.6.5

